﻿using System;
using System.Windows;
using Livet;

namespace PpapCollage
{
    public class ObjectViewModel : ViewModel
    {
        private bool _isRecognized;
        public bool IsRecognized { get
            {
                return _isRecognized;
            }
            set
            {
                if (value != _isRecognized)
                {
                    _isRecognized = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private Uri _source;
        public Uri Source
        {
            get
            {
                return _source;
            }
            set
            {
                if (value != _source)
                {
                    _source = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private double _x;
        public double X
        {
            get
            {
                return _x;
            }
            set
            {
                if (value != _x)
                {
                    _x = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private double _y;
        public double Y
        {
            get
            {
                return _y;
            }
            set
            {
                if (value != _y)
                {
                    _y = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private double _width;
        public double Width
        {
            get
            {
                return _width;
            }
            set
            {
                if (value != _width)
                {
                    _width = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private double _height;
        public double Height
        {
            get
            {
                return _height;
            }
            set
            {
                if (value != _height)
                {
                    _height = value;
                    this.RaisePropertyChanged();
                }
            }
        }

        private Visibility _visibility;
        public Visibility Visibility
        {
            get
            {
                return _visibility;
            }
            set
            {
                if (value != _visibility)
                {
                    _visibility = value;
                    this.RaisePropertyChanged();
                }
            }
        }
    }
}
